%define prerel %nil

Name: cplay
Version: 1.49
Release: alt4%prerel

Summary: Curses front-end for various audio players.
Group: Sound
License: GPL
Url: http://www.tf.hut.fi/~flu/cplay
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/%name-%version%prerel.tar.gz
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm

Patch: %name-1.49-alt-hang_cpu.patch
Patch1: %name-1.49-alt-ogg_mp3-wav.patch

BuildArch: noarch

Requires: python mpg123 >= 0.59r vorbis-tools

# Automatically added by buildreq on Sun Jul 04 2004 (-bi)
BuildRequires: python-base python-modules-compiler python-modules-encodings rpm-build-python

%description
cplay is a curses front-end for various audio players (mpg321, ogg123,
mpg123, splay, madplay, mikmod) It aims to provide a power-user-friendly
interface with simple filelist and playlist control. It is written in
Python and can use either pyncurses or the standard curses module.

%prep
%setup -q -n %name-%version%prerel
%patch -p0
%patch1 -p1

# adjust paths
%__subst 's,\(/usr\)/local,\1,g' cplay

%install
%__install -pD -m755 %name %buildroot%_libdir/%name/%name.py
%__install -d %buildroot%_bindir
%__ln_s  ../..%_libdir/%name/%name.py %buildroot%_bindir/%name
%__install -pD -m644 %name.1 %buildroot%_man1dir/%name.1

# config file
%__install -pD -m644 cplayrc %buildroot%_sysconfdir/cplayrc

%make -C po "PREFIX=%buildroot%_prefix" install

# menu 
%__cat <<__MENU__ >%name.menu
?package(%name): needs="text" section="Multimedia/%group" \
title="%name" longtitle="Curses front-end for various audio players" \
command="%_bindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

# icons
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_libdir/%name
%_menudir/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%_man1dir/*
%config %_sysconfdir/cplayrc
%doc ChangeLog README TODO lircrc

%changelog
* Mon Mar 14 2005 Alexander Borovsky <partizan@altlinux.ru> 1.49-alt4
- Rebuild with new python

* Fri Aug 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.49-alt3
- install systemwide config /etc/cplayrc.
- Fixed ogg-files navigation (Alexander Borovsky).
- playing mp3-files with .wav extension alllowed (Alexander Borovsky).
- install systemwide config /etc/cplayrc.

* Sun Jul 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.49-alt2
- install /usr/bin/cplay as a symlink to /usr/lib/cplay/cplay.py
- fix #4670 (Alexander Borovsky).

* Tue May 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.49-alt1
- 1.49

* Mon Apr 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.47-alt1
- new version.

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.46-alt1
- 1.46

* Thu Dec 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.46-alt0.8rc1
- rc1

* Wed Nov 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.46-alt0.7pre8
- try prerelease.

* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.45-alt2
- rebuild

* Tue Mar 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.45-alt1
- 1.45

* Thu Jan 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.44-alt1
- First build for Sisyphus.
